Migrate LP position calldata

The response will also have the transaction to migrate the position for the corresponding pool. If the parameter simulateTransaction is set to true, then the response will include the gas fees for the migrate transaction.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
number
required
string
required
number
enum
required

The unique ID of the blockchain. For a list of supported chains see the FAQ.

string
enum
required

The protocol to use for the swap/order.

Allowed:
inputPosition
object
required
string
required

The amount of liquidity in the pool at a given tick. For more information see the Uniswap V3 Whitepaper.

number
required

The current tick of the pool. For more information see the Uniswap V3 Whitepaper.

string
required

The square root of the ratio of the token0 and token1 in the pool, as a Q64.64 number. For more information see the Uniswap V3 Whitepaper.

string
required

The amount of liquidity in the pool at a given tick. For more information see the Uniswap V3 Whitepaper.

string
string
required

The quantity of tokens denominated in the token's base units. (For example, for an ERC20 token one token is 1x10^18 base units. For one USDC token one token is 1x10^6 base units.) This value must be greater than 0.

string
required

The quantity of tokens denominated in the token's base units. (For example, for an ERC20 token one token is 1x10^18 base units. For one USDC token one token is 1x10^6 base units.) This value must be greater than 0.

string
enum
required

The protocol to use for the swap/order.

Allowed:
outputPosition
object
required
string
string

The amount of liquidity in the pool at a given tick. For more information see the Uniswap V3 Whitepaper.

number

The current tick of the pool. For more information see the Uniswap V3 Whitepaper.

string

The square root of the ratio of the token0 and token1 in the pool, as a Q64.64 number. For more information see the Uniswap V3 Whitepaper.

string
required
string
required
number

The slippage tollerace as a percentage up to a maximum of two decimal places. For Uniswap Protocols (v2, v3, v4), the slippage tolerance is the maximum amount the price can change between the time the transaction is submitted and the time it is executed. The slippage tolerance is a percentage of the total value of the swap.

When submitting a quote, note that slippage tolerance works differently in UniswapX swaps where it does not set a limit on the Spread in an order. See here for more information.

Note that if the trade type is EXACT_INPUT, then the slippage is in terms of the output token. If the trade type is EXACT_OUTPUT, then the slippage is in terms of the input token.

When submitting a request, slippageTolerance may not be set when autoSlippage is defined. One of slippageTolerance or autoSlippage must be defined.

number

The unix timestamp at which the order will be reverted if not filled.

number
boolean
Defaults to false
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json